On 06/06/2018 04:55 PM, Ted Felix wrote:
On 06/06/2018 07:20 PM, David W. Jones wrote:
Hurrah! How can I get the update? Debian Testing has been at 17.12 for ages now.

  I would recommend downloading the source and building yourself.  The source archive is here:

https://sourceforge.net/projects/rosegarden/files/rosegarden/18.06/rosegarden-18.06.tar.bz2/download

Did so, made build directory, ran "cmake ..", got errors.

CMake Error at /usr/share/cmake-3.7/Modules/FindX11.cmake:429 (message):
  Could not find X11
Call Stack (most recent call first):
  CMakeLists.txt:152 (find_package)

There's no package in Debian called X11. There are many many X11 packages that include "-dev" in their names. x11proto-dev is the only one not marked as a dummy package. I installed x11proto-dev but that makes no difference. Also installed build-essential, that made no difference.

Which one(s) do I need?

I have cmake 3.7, will 3.11 work better?

--
David W. Jones
gn...@hawaii.rr.com
authenticity, honesty, community
http://dancingtreefrog.com

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Rosegarden-user mailing list
Rosegarden-user@lists.sourceforge.net - use the link below to unsubscribe
https://lists.sourceforge.net/lists/listinfo/rosegarden-user

Reply via email to